Subject: Re: bug#1396: Idea: unify *newline(-and-indent)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Jun 2021 12:10:03 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> I'm not even counting all the modes that aren't in CVS, or all the  
>> (reindent-)newline(-and-indent) functions grep couldn't find. Why do  
>> we need so many functions for essentially the same thing?
>
> I had a look at a handful, and they don't really do the same thing.  For
> instance octave-reindent-then-newline-and-indent does some upcasing, and
> message-newline-and-reformat inserts four newlines.

So I'm closing this bug report.  It may be that some of these functions
should be unified, but that has to be done on a case-to-case basis.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no